- Yarn
- NextJS
- TypeScript
- Moralis
- Web3 Authentication via Metamask
- tailwindcss
- Husky
- Lint-staged
- i18n Routing
- headlessUI
- heroicons
If the husky hooks do not work, delete files found under the .husky
folder and run these commands:
yarn husky add .husky/pre-commit
yarn husky add .husky/commit-msg
Fill the created files as follow:
Basically, it will do linting on staged files.
#!/bin/sh
. "$(dirname "$0")/_/husky.sh"
yarn lint-staged
This will force developer to use semantic commits.
#!/bin/sh
. "$(dirname "$0")/_/husky.sh"
undefined
#!/bin/sh
. "$(dirname "$0")/_/husky.sh"
#!/bin/sh
if ! head -1 "$1" | grep -qE "^(feat|fix|chore|docs|test|style|refactor|perf|build|ci|revert)(\(.+?\))?: .{1,}$"; then
echo "Aborting commit. Your commit message is invalid." >&2
exit 1
fi
if ! head -1 "$1" | grep -qE "^.{1,88}$"; then
echo "Aborting commit. Your commit message is too long." >&2
exit 1
fi